/* =================================
   SELECT2
   ================================= */

.select2 {
    max-width: 100%;
    width: 100%;
}

.select2-container--open {
    z-index: 9999;
}

.select2-results__option {
    padding-left: 0px;
    padding-right: 0px;
}

.select2-container--default.select2-container--focus,
.select2-container--default:active,
.select2-container--default:focus,
.select2-selection.select2-container--focus,
.select2-selection:active,
.select2-selection:focus {
    outline: 0;
    border-color: var(--app-primary-color);
}

.select2-container--default.select2-container--open {
    border-color: var(--app-primary-color);
}

.select2-container .select2-selection--single .select2-selection__rendered {
    border-color: var(--app-primary-color);
}

.select2-container[dir=rtl] .select2-selection--single .select2-selection__rendered {
    border-color: var(--app-primary-color);
}

.select2-container--default .select2-results__option[aria-disabled=true] {
    color: var(--gray);
}

.select2-container--default .select2-selection--multiple:focus {
    border-color: var(--app-primary-color);
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: var(--app-primary-color);
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: var(--app-primary-color);
    color: #fff
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: var(--app-primary-color);
}

/* .select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: var(--app-primary-contrast-color);
    color: #fff;
}

.select2-container--default .select2-results__option[aria-selected=true] {
    background-color: var(--app-primary-color);
}

.select2-container--default .select2-results__option:hover {
    background-color: var(--app-primary-contrast-color);
    color: #fff;
}

.select2-container--default .select2-results__option--highlighted[aria-selected="true"] {
    background-color: var(--app-primary-color);
    color: #fff;
} */

/* 1. Selected (base) */
.select2-container--default .select2-results__option[aria-selected="true"] {
    background-color: var(--app-primary-color);
    color: #fff;
}

/* 2. Hover + highlighted (always win) */
.select2-container--default .select2-results__options .select2-results__option:hover,
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: var(--app-primary-contrast-color);
    color: #fff;
}

.select2-dropdown {
    border-color: var(--app-primary-color);
}

.select2-selection__clear:hover {
    color: var(--app-primary-color);
}


/* =================================
   DATATABLES
   ================================= */

.datatable {
    width: 100% !important;
}

table.dataTable tbody td.select-checkbox::before,
table.dataTable tbody td.select-checkbox::after,
table.dataTable tbody th.select-checkbox::before,
table.dataTable tbody th.select-checkbox::after {
    top: 50%;
}

.dataTables_length,
.dataTables_filter,
.dt-buttons {
    margin-bottom: 0.333em;
}

.dt-buttons .btn {
    margin-left: 0.333em;
    border-radius: 0;
}

.table.datatable {
    box-sizing: border-box;
    border-collapse: collapse;
}

table.dataTable thead th {
    border-bottom: 2px solid #dee2e6;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody {
    border-bottom: 1px solid #dee2e6;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc {
    background-image: none;
}

table.table.dataTable>tbody>tr.selected>* {
    box-shadow: inset 0 0 0 9999px var(--app-primary-color) !important;
    /* Override with your desired color */
    color: #fff !important;
}

.dataTables_length label select {
    width: 65px !important;
}

.dataTables_info,
.dataTables_paginate {
    display: inline-flex;
}

.dataTables_paginate>* {
    margin-right: 10px;
    cursor: pointer;
}

.dataTables_paginate>*>* {
    margin-right: 10px;
    cursor: pointer;
}

.buttons-columnVisibility {
    display: block;
}

.buttons-columnVisibility.active {
    background-color: rgba(128, 128, 128, 0.1);
    font-weight: bolder;
}


/* =================================
   GOOGLE MAPS
   ================================= */
/*
 * Always set the map height explicitly to define the size of the div element
 * that contains the map.
 */

#map {
    height: 400px;
    width: 100%;
}

#infowindow-content .title {
    font-weight: bold;
}

#infowindow-content {
    display: none;
}

#map #infowindow-content {
    display: inline;
}

.pac-card {
    background-color: #fff;
    border: 0;
    border-radius: 10px;
    box-shadow: 0 1px 4px -1px rgba(0, 0, 0, 0.3);
    margin: 10px;
    padding: 0 0.5em;
    font: 400 18px Roboto, Arial, sans-serif;
    overflow: hidden;
    font-family: Roboto;
    padding: 0;
}

#pac-container {
    padding-bottom: 12px;
    margin-right: 12px;
}

.pac-controls {
    display: inline-block;
    padding: 5px 11px;
}

.pac-controls label {
    font-family: Roboto;
    font-size: var(--font-sm);
    font-weight: 300;
}

#pac-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: var(--font-normal);
    font-weight: 300;
    margin-left: 12px;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 400px;
}

#pac-input:focus {
    border-color: var(--app-primary-color);
}


/* =================================
   EDITORS (QUILL / CKEDITOR)
   ================================= */

.ql-container {
    min-height: 10rem;
    height: 100%;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.ql-editor {
    height: 100%;
    flex: 1;
    overflow-y: auto;
    width: 100%;
}

.ck-editor__editable,
textarea {
    min-height: 150px;
}

div.dt-button-collection {
    padding: 0;
}